unit SearchEditFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  ESearchException = class(Exception);
  
  TSearchEditForm = class(TForm)
    memUrl: TMemo;
    btnOk: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    Label2: TLabel;
    edtEngineName: TEdit;
    procedure btnOkClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

resourcestring
  SBlankEdits = 'Engine Name and/or Search String are blank';

procedure TSearchEditForm.btnOkClick(Sender: TObject);
begin
  try
    if (edtEngineName.Text = '') or (memUrl.Lines.Text = '') then
      raise ESearchException.CreateRes(@SBlankEdits);
  except
    ModalResult := mrNone;
    raise;
  end;
end;

procedure TSearchEditForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    Close;
end;

procedure TSearchEditForm.FormShow(Sender: TObject);
begin
  edtEngineName.SetFocus;
end;

end.
