unit SearchWizMnu;
{
  reordering of items in browser make better

  add alt+arrow key browsing forward/backward

  better autocomplete

  give it hot key support
}

interface

uses
  Classes, SysUtils, Windows, Forms, ToolsApi, DeskUtil;

type
  TSearchWizard = class(TNotifierObject, IOTAWizard, IOTAMenuWizard)
  public
    { IOTAWizard }
    function GetIDString: string;
    function GetName: string;
    function GetState: TWizardState;
    procedure Execute;

    { IOTAMenuWizard }
    function GetMenuText: string;
  end;

procedure Register;

implementation

uses SearchWizFrm, Inifiles;

resourcestring
  SWebSearch = '&Web search...';

const
  SSearchIdString = 'Borland.WebSearch';

procedure Register;
begin
  if Assigned(RegisterFieldAddress) then
    RegisterFieldAddress(CIniSection, @SearchWizForm);

  RegisterDesktopFormClass(TSearchWizForm, CIniSection, CIniSection);
  RegisterPackageWizard(TSearchWizard.Create);
end;

{ TSearchWizard }

procedure TSearchWizard.Execute;
begin
  if SearchWizForm = nil then
  begin
    SearchWizForm := TSearchWizForm.Create(Application);
    SearchWizForm.Left := 10;
    SearchWizForm.Top := Application.MainForm.Top +
      Application.MainForm.Height + 10;
  end;
  FocusWindow(SearchWizForm);
end;

function TSearchWizard.GetIDString: string;
begin
  Result := SSearchIdString;
end;

function TSearchWizard.GetMenuText: string;
begin
  Result := SWebSearch;
end;

function TSearchWizard.GetName: string;
begin
  Result := SSearchIdString;
end;

function TSearchWizard.GetState: TWizardState;
begin
  Result := [wsEnabled];
end;

initialization

finalization
  if Assigned(UnRegisterFieldAddress) then
    UnRegisterFieldAddress(@SearchWizForm);
    
  if SearchWizForm <> nil then
  begin
    SearchWizForm.Free;
    SearchWizForm := nil;
  end;
end.
